﻿using System.Collections.ObjectModel;
using System.Windows.Media.Imaging;
using Models;

namespace XamDataTree_Images
{
    public class Model : ObservableModel
    {

        #region Id
        private int _id;
        public int Id
        {
            get
            {
                return this._id;
            }
            set
            {
                if (this._id != value)
                {
                    this._id = value;
                    OnPropertyChanged("Id");
                }
            }
        }
        #endregion //Id

        #region Name
        private string _name;
        public string Name
        {
            get
            {
                return this._name;
            }
            set
            {
                if (this._name != value)
                {
                    this._name = value;
                    OnPropertyChanged("Name");
                }
            }
        }
        #endregion //Name

        #region ImagePath
        private BitmapSource _imagePath;
        public BitmapSource ImagePath
        {
            get
            {
                return this._imagePath;
            }
            set
            {
                if (this._imagePath != value)
                {
                    this._imagePath = value;
                    OnPropertyChanged("ImagePath");
                }
            }
        }
        #endregion // ImagePath

        #region Children

        private ObservableCollection<Model> _children;
        public ObservableCollection<Model> Children
        {
            get
            {
                return this._children;
            }
            set
            {
                if (this._children != value)
                {
                    this._children = value;
                    OnPropertyChanged("Children");
                }
            }
        }
        #endregion // Children
    }
}
