﻿using System;
using System.Collections.ObjectModel;
using System.Windows.Media.Imaging;
using Models;

namespace XamDataTree_Images
{
    public class ViewModel : ObservableModel
     {
        #region GeneratedData
        private ObservableCollection<Model> _generatedData;
        public ObservableCollection<Model> GeneratedData
        {
            get
            {
                return this._generatedData;
            }
            set
            {
                if (this._generatedData != value)
                {
                    this._generatedData = value;
                    OnPropertyChanged("GeneratedData");
                }
            }
        }
        #endregion // GeneratedData
        private ObservableCollection<Model> GenerateData()
        {
            ObservableCollection<Model>  data = new ObservableCollection<Model>();
            ObservableCollection<Model> children = new ObservableCollection<Model>
            {
                new Model
                {
                    Id = 10,
                    Name = "FirstChild",
                    ImagePath = new BitmapImage(new Uri("Images/clear.gif", UriKind.Relative))
                },
                new Model
                {
                    Id = 20,
                    Name = "SecondChild",
                    ImagePath = new BitmapImage(new Uri("Images/small1.png", UriKind.Relative))
                },
                new Model
                {
                    Id = 30,
                    Name = "ThirdChild",
                    ImagePath = new BitmapImage(new Uri("Images/small1.png", UriKind.Relative))
                }
            };


            data.Add(new Model { Id = 1, Name = "FirstParent", ImagePath = new BitmapImage(new Uri("Images/small1.png", UriKind.Relative)), Children = children });
            data.Add(new Model { Id = 2, Name = "SecondParent", ImagePath = new BitmapImage(new Uri("Images/small1.png", UriKind.Relative)), Children = children });
            data.Add(new Model { Id = 3, Name = "ThirdParent", ImagePath = new BitmapImage(new Uri("Images/small1.png", UriKind.Relative)), Children = children });

            return data;
        }

        public ViewModel()
        {
            this.GeneratedData = GenerateData();
        }
    }
}
